Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.core
Class ControllerFactory

    java.lang.Object
      lbg.peer.core.ControllerFactory

    public class ControllerFactory

extends java.lang.Object

Factory for scheduling and negotiation controllers.

Note: methods are not static because a ControllerFactory may be instanciated multiple times within the same VM, e.g. inside the LBG Simulator.

Author:
  Cyril Briquet

Constructor Summary
`ControllerFactory()` Creates a ControllerFactory (legal in LIVE mode only).
`ControllerFactory(EnvironmentController env_ctrlr, java.lang.String PEER_BASE_NAME)` Creates a ControllerFactory (legal in SIM mode only).

Method Summary
`NegotiatorController` | `createNegotiatorController(Peer peer, Negotiator negotiator)`
`SchedulerController` | `createSchedulerController(Peer peer, Scheduler scheduler)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ControllerFactory

    public ControllerFactory()
                      throws GridException

  Creates a ControllerFactory (legal in LIVE mode only).

  Throws:
    `GridException`

### ControllerFactory

    public ControllerFactory(EnvironmentController env_ctrlr,
                             java.lang.String PEER_BASE_NAME)
                      throws GridException

  Creates a ControllerFactory (legal in SIM mode only).

  Parameters:
    `env_ctrlr` - Environment Controller
  Throws:
    `GridException` - if a parameter is illegal

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### createSchedulerController

    public SchedulerController createSchedulerController(Peer peer,
                                                         Scheduler scheduler)
                                                  throws GridException

  Throws:
    `GridException`

### createNegotiatorController

    public NegotiatorController createNegotiatorController(Peer peer,
                                                           Negotiator negotiator)
                                                    throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.